Bug 1122284 - X-Site Replication Example From Admin Guide Does Not Work
Summary: X-Site Replication Example From Admin Guide Does Not Work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Post GA
: 6.3.0
Assignee: Rakesh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:43 UTC by John Osborne
Modified: 2014-08-14 01:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-14 01:39:51 UTC
Type: Bug


Attachments (Terms of Use)
Working Cross Site Example (18.99 MB, application/zip)
2014-07-22 20:43 UTC, John Osborne
no flags Details

Description John Osborne 2014-07-22 20:43:16 UTC
Created attachment 920046 [details]
Working Cross Site Example

Description of problem:
The Cross Site Replication (library mode) example from the JDG 6.2 Admin Guide, Chapter 27, does not work.

Version-Release number of selected component (if applicable):
6.2.1 GA

How reproducible:
Cut and paste XML from Chapter 27 for both caches.  Backup site will not receive data from primary site.

I am attaching my files for which I was able to get it to work.  I notice several differences in the working example.
- Backup site does not have <sites> element and sub elements <backupfor>
- Backup site cache has 
<transport>
<properties>
<property name="configurationFile" value="jgroups-relay-dc2.xml" />
</properties>
</transport>

Whereas the example in the admin guide does not have those tags.

- Backup site has a jgroups-withrelay.xml file

There could be other differences as well.  I am not sure which configuration change will cause the admin guide example to work as my VMs have been removed from SALABs.

Comment 3 Rakesh 2014-07-25 15:13:51 UTC
Radim, I added the transport elements. Please QA.

Comment 4 Radim Vansa 2014-07-25 15:43:15 UTC
I don't think this was a bug at all, rather misunderstanding the docs. The ellipsis in configuration excerpts were meant as a placeholder for the transport configuration.

Let's hope this way is it more clear to reader (though too verbose in my opinion).

Comment 5 John Osborne 2014-07-30 19:52:17 UTC
Thanks Radim.  I really appreciate the mod to the documentation.  A new user may not totally understand that the transport element needs to be configured.  The more that we can explicitly state then more valuable the doc is to the end users.

Comment 6 Misha H. Ali 2014-08-14 01:39:51 UTC
The fix for this bug is now available on access.redhat.com:

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.